Package ru.bitel.bgbilling.modules.payonline.common.service

# Interface PayOnlineService

All Superinterfaces:
  `PaymentServiceProvider`

public interface PayOnlineService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTransactions(String transactions)`
  `void`
  `deleteContractRebillTransaction(int rebillTransactionId)`
  `void`
  `deleteTransactions(List<Integer> transactionIds)`
  `void`
  `doManualAutopayment(int contractId, BigDecimal sum)`
  Ручной автоплатеж
  `Autopayment`
  `getAutopaymentCurrentMode(int contractId)`
  Возвращает текущий режим автоплатежа
  `Rebill`
  `getContractRebillTransaction(int contractId)`
  `List<IdTitle>`
  `getContractTitles(List<Integer> contractIds)`
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  Возращает историю изменения автоплатежей на договоре
  `SearchResult<RebillTransaction>`
  `searchRebillTransactions(String result, PeriodWithTime period, String[] sort, Page page)`
  `SearchResult<Transaction>`
  `searchTransactions(int contractId, String contractTitle, String transactionStatus, PeriodWithTime period, String[] sort, Page page)`

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- ## Method Details

  - ### searchTransactions

    SearchResult<Transaction> searchTransactions(int contractId, String contractTitle, String transactionStatus, PeriodWithTime period, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### addTransactions

    void addTransactions(String transactions) throws Exception
    Throws:
      `Exception`

  - ### deleteTransactions

    void deleteTransactions(List<Integer> transactionIds) throws Exception
    Throws:
      `Exception`

  - ### getContractTitles

    List<IdTitle> getContractTitles(List<Integer> contractIds) throws Exception
    Throws:
      `Exception`

  - ### getContractRebillTransaction

    Rebill getContractRebillTransaction(int contractId) throws Exception
    Throws:
      `Exception`

  - ### deleteContractRebillTransaction

    void deleteContractRebillTransaction(int rebillTransactionId) throws Exception
    Throws:
      `Exception`

  - ### searchRebillTransactions

    SearchResult<RebillTransaction> searchRebillTransactions(String result, PeriodWithTime period, String[] sort, Page page) throws Exception
    Throws:
      `Exception`

  - ### getAutopaymentCurrentMode

    Autopayment getAutopaymentCurrentMode(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возвращает текущий режим автоплатежа
    Specified by:
      `getAutopaymentCurrentMode` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` - код договора
    Returns:
      Объект с параметрами текущего режима автоплатежа или null
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws Exception
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### doManualAutopayment

    void doManualAutopayment(int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Ручной автоплатеж
    Specified by:
      `doManualAutopayment` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`